# war

## Purpose

The `war` command will create a Web Application Archive (WAR) file which can be deployed on any Java EE compliant application server

## Examples

    grails war
    grails test war
    grails -Dgrails.env=foo war

## Description

Usage:

    grails [environment]* war [arguments]*

Arguments:

- `nojars` - Packages the WAR with no jar files. Used for shared deployment

Fired Events:

- `StatusFinal` - When the WAR file has been created

The `war` command will create a web application archive (WAR) file using the application name and version number. By default a war file deployable to the production environment will be created, but the environment can be specified using Grails standard convention:

    grails test war
    grails dev war
    grails prod war
    grails war /foo/bar/mywar.war
    grails war --nojars

You can also specify a custom environment:

    grails -Dgrails.env=UAT war

Once the WAR has been created you should follow the instructions that relate to the container which you are using to complete deployment